import java.io.*;
import org.basex.core.*;
import org.basex.core.cmd.*;
import org.basex.io.in.*;

public class CreateLarge {
  public static void main(String[] args) throws Exception {
    Context ctx = new Context();

    try {
      InputStream is = new InputStream() {
        InputStream[] inputs = {
          new ArrayInput("<root>"),
          new BufferInput(new FileInputStream("large.xml")),
          new ArrayInput("</root>")
        };
        int current = 0;
        
        @Override
        public int read() throws IOException {
          while(current < inputs.length) {
            int i = inputs[current].read();
            if(i != -1) return i;
            current++;
          }
          return -1;
        }
      };
      
      Command cmd = new CreateDB("db");
      cmd.setInput(is);
      cmd.execute(ctx);

    } finally {
      ctx.close();
    }
  }
}
